<?php
/**
 * @package com_tinydoc for Joomla! 2.5
 * @version $Id: admin.tinydoc.html.php 2012-09-04 $
 * @author Andreas Thul
 * @copyright (c) 2009-2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

// 2013-06-03: changed all methods to static
class HTML_TinyDoc {

	// 2013-06-03: Only variables should be assigned by reference
	static function listDocuments($option, &$rows, &$pageNav, $lists) {

		HTML_TinyDoc::setListDocumentsToolbar();
		$config = JComponentHelper::getParams('com_tinydoc');
		$ordering = ($lists['order'] == 'ordering');

		HTML_TinyDoc::setSubmenu('documents');

		?>
		<form action="index.php" method="post" name="adminForm">
		<table>
		<tr>
			<td align="left" width="100%">
				<?php echo JText::_('LABEL_FILTER_DESCRIPTION'); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_('BUTTON_SEARCH'); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_category_id').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('BUTTON_RESET'); ?></button>
			</td>
	<td nowrap="nowrap">
		<?php
			echo $lists['folder_id'];
			echo $lists['type_id'];
			echo $lists['state'];
		?>
	</td>
	</tr>

		</table>

			<table class="adminlist">
				<thead>
					<tr>
						<th width="20"><input type="checkbox" name="toggle" value=""  onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
						<th nowrap="nowrap" class="title">#</th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',  JText::_('HEAD_NAME'), 'name', $lists['order_Dir'], $lists['order'] ); ?>
						</th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_FOLDER'); ?></th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',  JText::_('HEAD_DESCRIPTION'), 'description', $lists['order_Dir'], $lists['order'] ); ?>
						</th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',  JText::_('HEAD_DATE'), 'date', $lists['order_Dir'], $lists['order'] ); ?>
						</th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',  JText::_('HEAD_SIZE'), 'size', $lists['order_Dir'], $lists['order'] ); ?>
						</th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',   JText::_('COM_TINYDOC_HEAD_ORDERING'), 'ordering', $lists['order_Dir'], $lists['order'] ); ?>
							<?php if ($ordering) echo JHTML::_('grid.order',  $rows ); ?>
						</th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_TYPE'); ?></th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_PUBLISHED'); ?></th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort','ID', 'id', $lists['order_Dir'], $lists['order'] ); ?>
						</th>
					</tr>
				</thead>
				<tbody>
					<?php

					$folder = TinyDocHelper::getFolderArray();
					$type = TinyDocHelper::getTypeArray();
					$icon = TinyDocHelper::getIconArray();

					$k = 0;
					for ($i=0, $n=count( $rows ); $i < $n; $i++) {
						$row = &$rows[$i];

						$published = JHTML::_('grid.published', $row, $i );
 						$checked = JHTML::_('grid.id', $i, $row->id );
 						$url = JRoute::_("/index.php?option=com_tinydoc&view=document&document=" . $row->id . "&format=raw");

						$link = 'index.php?option=' . $option . '&task=editDocument&cid[]='. $row->id;

						?>
						<tr class="<?php echo "row$k"; ?>">

							<!-- check -->
							<td>
								<?php echo $checked; ?>
							</td>

							<!-- icon -->
							<td>
								<a href="<?php echo $url; ?>"><img src="<?php echo JURI::root(); ?>components/com_tinydoc/assets/<?php echo $icon[$row->type_id]; ?>" border="0" /></a>
							</td>

							<!-- name -->
							<td>
								<a href="<?php echo $link; ?>" title="edit document">
								<?php echo $row->name; ?>
								</a>
							</td>

							<!-- folder -->
							<td>
								<?php echo $folder[$row->folder_id]; ?>
							</td>

							<!-- description -->
							<td>
								<?php echo TinyDocHelper::cutText($row->description, $config->get('backend_length_description', 80)); ?>
							</td>

							<!-- date -->
							<td>
								<?php echo JHTML::date($row->date, $config->get('backend_date_format', 'Y-m-d')); ?>
							</td>

							<!-- size -->
							<td>
								<?php
								if ($config->get('backend_convert_size', 1)) {
									echo TinyDocHelper::getSizeAsText($row->size);
								}
								else {
									echo $row->size;
								}
								?>
							</td>

							<!-- order -->
							<td class="order">

								<?php if ($lists['order_Dir'] == 'asc') : ?>
									<span><?php echo $pageNav->orderUpIcon($i, ($row->folder_id == @$rows[$i-1]->folder_id), 'orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
									<span><?php echo $pageNav->orderDownIcon($i, $pageNav->total, ($row->folder_id == @$rows[$i+1]->folder_id), 'orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
								<?php elseif ($lists['order_Dir'] == 'desc') : ?>
									<span><?php echo $pageNav->orderUpIcon($i, ($row->folder_id == @$rows[$i-1]->folder_id), 'orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
									<span><?php echo $pageNav->orderDownIcon($i, $pageNav->total, ($row->folder_id == @$rows[$i+1]->folder_id), 'orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
								<?php endif; ?>

		                    	<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
								<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
							</td>

							<!-- type -->
							<td>
								<?php echo $type[$row->type_id]; ?>
							</td>

							<!-- Published -->
							<td align="center">
								<?php echo $published; ?>
							</td>

							<!-- Id -->
							<td>
								<?php echo $row->id; ?>
							</td>
						<?php

						$k = 1 - $k;
					}

					?>
				</tbody>
			<tfoot>
				<td colspan="12"><?php echo $pageNav->getListFooter(); ?></td>
			</tfoot>

			</table>

			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />

		</form>
		<?php
	}

	// 2013-06-03: Only variables should be assigned by reference
	static function listFolders($option, &$rows, &$pageNav) {

		HTML_TinyDoc::setListFoldersToolbar();
		$config = JComponentHelper::getParams('com_tinydoc');

		HTML_TinyDoc::setSubmenu('folders');

		?>
		<form action="index.php" method="post" name="adminForm">
		<table>
		</table>

			<table class="adminlist">
				<thead>
					<tr>
						<th width="20"><input type="checkbox" name="toggle" value=""  onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_FOLDER'); ?></th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_PARENT'); ?></th>
						<th nowrap="nowrap" class="title">ID</th>
					</tr>
				</thead>
				<tbody>
					<?php

					$folder = TinyDocHelper::getFolderArray();

					$k = 0;
					for ($i=0, $n=count( $rows ); $i < $n; $i++) {
						$row = &$rows[$i];

						$checked = JHTML::_('grid.id', $i, $row->id );
						$link = 'index.php?option=' . $option . '&task=editFolder&cid[]='. $row->id;

						?>
						<tr class="<?php echo "row$k"; ?>">

							<!-- checkbox -->
							<td align="center">
								<?php echo $checked; ?>
							</td>

							<!-- name -->
							<td>
								<a href="<?php echo $link; ?>" title="edit folder">
									<?php echo $row->name ?>
								</a>
							</td>

							<!-- parent -->
							<td>
								<?php echo $folder[$row->parent]; ?>
							</td>

							<!-- ID -->
							<td>
								<?php echo $row->id; ?>
							</td>

						<?php

						$k = 1 - $k;
					}

					?>
				</tbody>
			<tfoot>
				<td colspan="9"><?php echo $pageNav->getListFooter(); ?></td>
			</tfoot>
			</table>

			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
		</form>
		<?php
	}

	// 2013-06-03: Only variables should be assigned by reference
	static function listTypes($option, &$rows, &$pageNav) {

		HTML_TinyDoc::setListTypesToolbar();
		$config = JComponentHelper::getParams('com_tinydoc');

		HTML_TinyDoc::setSubmenu('types');

		?>
		<form action="index.php" method="post" name="adminForm">
		<table>
		</table>

			<table class="adminlist">
				<thead>
					<tr>
						<th width="20"><input type="checkbox" name="toggle" value=""  onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_TYPE'); ?></th>
						<th nowrap="nowrap" class="title"><?php echo JText::_('HEAD_ICON'); ?></th>
						<th nowrap="nowrap" class="title">ID</th>
					</tr>
				</thead>
				<tbody>
					<?php

					$icons = TinyDocHelper::getIconList();

					$k = 0;
					for ($i=0, $n=count( $rows ); $i < $n; $i++) {
						$row = &$rows[$i];

						$checked = JHTML::_('grid.id', $i, $row->id );
						$link = 'index.php?option=' . $option . '&task=editFolder&cid[]='. $row->id;

						?>
						<tr class="<?php echo "row$k"; ?>">

							<!-- checkbox -->
							<td align="center">
								<?php echo $checked; ?>
							</td>

							<!-- type -->
							<td>
								<?php echo $row->type ?>
							</td>

							<!-- parent -->
							<td>
								<?php echo TinyDocHelper::getIconRadio($icons, $row->id, $row->icon) ?>
							</td>

							<!-- ID -->
							<td>
								<?php echo $row->id; ?>
							</td>

						<?php

						$k = 1 - $k;
					}

					?>
				</tbody>
			<tfoot>
				<td colspan="9"><?php echo $pageNav->getListFooter(); ?></td>
			</tfoot>
			</table>

			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="updateTypes" />
			<input type="hidden" name="boxchecked" value="0" />
		</form>
		<?php
	}

	// 2012-08-17: added HTML_TinyDoc::setSubmenu('')
	static function edit($option, &$row) {

		HTML_TinyDoc::setDocumentToolbar($row->id);
		JHTML::_('behavior.calendar');

		HTML_TinyDoc::setSubmenu('');

		?>

		<form action="index.php?option=<?php echo $option; ?>" method="post" name="adminForm" enctype="multipart/form-data">

		<div class="width-60 fltlft">
			<fieldset class="adminform">
				<legend><?php echo JText::_('LEGEND_DOCUMENT'); ?></legend>
				<ul class="adminformlist">
					<li>
						<label for="document_upload"><?php echo JText::_('LABEL_DOCUMENT'); ?></label>
						<input type="file" size="80" id="document_upload" name="document_upload" />
					</li>
					<li>
						<label for="image"><?php echo JText::_('LABEL_FOLDER'); ?></label>
						<?php echo JHTML::_('select.genericlist', TinyDocHelper::getFolderList(), 'folder_id', 'class="inputbox"', 'id', 'name', $row->folder_id); ?>
					</li>
					<li>
						<label for="description"><?php echo JText::_('LABEL_DESCRIPTION'); ?></label>
						<input class="inputbox" type="text" name="description" id="description" size="80" value="<?php echo $row->description; ?>" />
					</li>
					<li>
						<label for="published"><?php echo JText::_('LABEL_PUBLISHED'); ?></label>
						<fieldset class="radio inputbox">
						<?php echo JHTML::_('select.booleanlist',  'published', '', $row->published ); ?>
						</fieldset>
					</li>
				</ul>
			</fieldset>
		</div>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="<?php echo $row->id ?>" />
		</form>
		<?php
	}

	// 2012-08-17: added HTML_TinyDoc::setSubmenu('')
	static function editFolder($option, &$row) {

		HTML_TinyDoc::setFolderToolbar($row->id);

		HTML_TinyDoc::setSubmenu('');

		?>

		<form action="index.php" method="post" id="adminForm">

		<div class="width-60 fltlft">
			<fieldset class="adminform">
				<legend><?php echo JText::_('LEGEND_FOLDER'); ?></legend>
				<ul class="adminformlist">
					<li>
						<label for="name"><?php echo JText::_('LABEL_NAME'); ?></label>
						<input class="inputbox" type="text" name="name" id="name" size="80" value="<?php echo $row->name; ?>" />
					</li>
					<li>
						<label for="parent"><?php echo JText::_('LABEL_PARENT'); ?></label>
						<?php echo JHTML::_('select.genericlist', TinyDocHelper::getFolderList(), 'parent', 'class="inputbox"', 'id', 'name', $row->parent); ?>
					</li>
				</ul>
			</fieldset>
		</div>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="listFolders" />
		<input type="hidden" name="id" value="<?php echo $row->id ?>" />
		</form>
		<?php
	}

	static function about($xmldata) {

		HTML_TinyDoc::setAboutToolbar();
		JHTML::_('behavior.calendar');

		HTML_TinyDoc::setSubmenu('about');

	?>

	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('LEGEND_ABOUT') . ' ' . $xmldata['name']; ?></legend>
				<table class="admintable" cellspacing="1">
					<tr>
						<td class="key" valign="top"><?php echo JText::_('LABEL_DESCRIPTION'); ?></td>
						<td><?php echo JText::_($xmldata['description']); ?></a></td>
					</tr>
					<tr>
						<td class="key"><?php echo JText::_('LABEL_VERSION'); ?></td>
						<td><?php echo $xmldata['version']; ?></td>
					</tr>

					<tr>
						<td class="key"><?php echo JText::_('LABEL_DATE'); ?></td>
						<td><?php echo $xmldata['creationDate']; ?></td>
					</tr>

					<tr>
						<td class="key"><?php echo JText::_('LABEL_COPYRIGHT'); ?></td>
						<td>&copy; by Andreas Thul.</td>
					</tr>
				</table>
			</fieldset>
		</div>

	<div class="width-40 fltrt">
		<fieldset class="adminform">
			<legend>Documentation / Changelog</legend>
			<table class="admintable" cellspacing="1">
				<tr>
					<td><a href="http://blog.thul.org/technik/downloads/joomla-component-tinydoc/">tinyDoc website</a></td>
				</tr>
			</table>
		</fieldset>
	</div>

	<?php
	}

	static function setDocumentToolbar($id) {

		if ($id) { $newEdit = JText::_('TITLE_EDIT_DOCUMENT'); }
		else { $newEdit = JText::_('TITLE_NEW_DOCUMENT'); }

		JToolBarHelper::title($newEdit, 'generic.png');
		JToolBarHelper::save();
		JToolBarHelper::cancel();
	}

	static function setFolderToolbar($id) {

		if ($id) { $newEdit = JText::_('TITLE_EDIT_FOLDER'); }
		else { $newEdit = JText::_('TITLE_NEW_FOLDER'); }

		JToolBarHelper::title($newEdit, 'generic.png');
		JToolBarHelper::save('saveFolder');
		JToolBarHelper::cancel('listFolders');
	}

	static function setAboutToolbar() {

		JToolBarHelper::title(JText::_('TITLE_ABOUT') . ' tinyDoc', 'generic.png');

		JToolBarHelper::preferences('com_tinydoc', '500');
	}

	static function setListDocumentsToolbar() {

		JToolBarHelper::title(JText::_('TITLE_LIST_DOCUMENTS'), 'generic.png');

		JToolBarHelper::addNew('editDocument');
		JToolBarHelper::deleteList(JText::_('WARNING_REMOVE_DOCUMENT'), 'removeDocument');
		JToolBarHelper::preferences('com_tinydoc', '500');
	}

	static function setListFoldersToolbar() {

		JToolBarHelper::title(JText::_('TITLE_LIST_FOLDERS'), 'generic.png');

		JToolBarHelper::addNew('editFolder');
		JToolBarHelper::deleteList(JText::_('WARNING_REMOVE_FOLDER'), 'removeFolder');
		JToolBarHelper::preferences('com_tinydoc', '500');
	}

	static function setListTypesToolbar() {

		JToolBarHelper::title(JText::_('TITLE_LIST_TYPES'), 'generic.png');

		JToolBarHelper::preferences('com_tinydoc', '500');
	}

	static function setSubmenu($vName) {

		JSubMenuHelper::addEntry(
			JText::_('SUBMENU_DOCUMENTS'),
			'index.php?option=com_tinydoc&task=listDocuments',
			$vName == 'documents'
		);

		JSubMenuHelper::addEntry(
			JText::_('SUBMENU_FOLDERS'),
			'index.php?option=com_tinydoc&task=listFolders',
			$vName == 'folders'
		);

		JSubMenuHelper::addEntry(
			JText::_('SUBMENU_TYPES'),
			'index.php?option=com_tinydoc&task=listTypes',
			$vName == 'types'
		);

		JSubMenuHelper::addEntry(
			JText::_('SUBMENU_ABOUT'),
			'index.php?option=com_tinydoc&task=showAbout',
			$vName == 'about'
		);
	}

}

?>
